ICP Vortex RAID Probleme & woody frisst neuen Kernel nic

FreeBSD, Gentoo, openSUSE, CentOS, Ubuntu, Debian
space
Posts: 51
Joined: 2003-07-09 17:20

ICP Vortex RAID Probleme & woody frisst neuen Kernel nic

Post by space »

Hallo Leute!

Eigentlich setzte ich ja auf Servers mit IDE Platten aber ich dachte mir ich gönne mit mal wieder nen "echten" mit SCSI Raid 5.
Ok gesagt getan, Lager/Keller umgegraben und gleich ein alter Hosting Server gefunden der noch gut aussah.
Ich habe die Maschine nun Upgradet mit mehr Ram, 5 SCSI Platten und einem ICP Vortex Raid Controller der ich auch aus einem alten Hosting Server habe den ich geschlachtet habe.

Als die Hardware lief versuchte ich Debian von meiner selbst gemachten Boot CD zu Installieren (2.4.18 SMP 4GB XFS) was aber nicht klappte (SCSI Raid Controller nicht gefunden), ok auch gut, also nahm ich die Floppy Disks zur hand und setzte mein "neues" Baby mit Floppies und anschliesender Netzwerk Installation auf.
Da die Floppys aber noch vom Mai 02 stammen und ich jetzt den 2.2.20er Kernel drauf habe wollte ich mir schnell nen neuen Kernel basteln.

Klappt aber leider nicht :(
Ich finde in den kernel sources keine ICP Treiber, ich ging also Online und fand den Treiber auf http://www.vortex.de/german/download/rp ... inux_d.htm.
Allerdings gelang es mir nicht den Treiber in den Kernel zu packen :(

Ich versuchte also erst mal meinen Kernel ohne Raid Support zu bauen um die Maschine von den IDE Platten (auch alles findlinge, aber lauffähig) zu booten.
Das Kernel bauen klappte wie immer ohne Prbs aber ich kann Ihn mit dpkg nicht installieren!?!

Folgendes kommt dabei raus:

Code: Select all

max:/usr/src/kernel-source-2.4.18# dpkg -i ../kernel-image-2.4.18_1.0_i386.deb
(Reading database ... 10355 files and directories currently installed.)
Preparing to replace kernel-image-2.4.18 1.0 (using .../kernel-image-2.4.18_1.0_i386.deb) ...
You are attempting to install a kernel image (version 2.4.18)
However, the directory /lib/modules/2.4.18 still exists.  If this
directory belongs to a previous kernel-image-2.4.18 package, and if
you have deselected some modules, or installed standalone modules
packages, this could be bad. However, if this directory exists because
you are also installing some stand alone modules right now, and they
got unpacked before I did, then this is pretty benign.  Unfortunately,
I can't tell the difference.

If /lib/modules/2.4.18 belongs to a old install of
kenel-image-2.4.18, this is your last chance to abort the
installation of this kernel image (nothing has been changed yet).

If this directory is because of stand alone modules being installed
right now, or if it does belong to an older kernel-image-2.4.18
package but you know what you are doing, and if you feel that this
image should be installed despite this anomaly, Please answer n to the
question.

Otherwise, I suggest you move /lib/modules/2.4.18 out of the way,
perhaps to /lib/modules/2.4.18.old or something, and then try
re-installing this image.
Do you want to stop now? [Y/n]n
Unpacking replacement kernel-image-2.4.18 ...
Setting up kernel-image-2.4.18 (1.0) ...
Failed to create initrd image.
dpkg: error processing kernel-image-2.4.18 (--install):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 kernel-image-2.4.18
max:/usr/src/kernel-source-2.4.18#
Ach ja, mein Controller:

Code: Select all

max:/usr/src/kernel-source-2.4.18/drivers/scsi# grep Driver /proc/scsi/gdth/0
Driver Parameters:
 Driver Ver.:   2.03            Firmware Ver.:  2.26.02-R036

So aber nun zu meiner Frage, wie bring ich diese alte Karte mit neuem Kernel zum laufen?
Wo kann ich den ICP im Kernel Menü aktivieren? Bis jetzt hatte ich immer nur 3ware IDE Raid Controller, dessen Treiber stets im Menü drinnen waren....

Ev. muss ich den neuen Treiber erst im menuconfig aktivieren aber ich finde keinen Eintrag, auch im Scsi Menü nicht (habe den Treiber dorthin kopiert (/usr/src/kernel-source-2.4.18/drivers/scsi))

Summary:
Wie kann ich meinen ICP Vortex Raid Controller mit einem 2.4.18 (oder höher) Kernel nutzen?


Ich habe nun seit heute Mittag um 13:00 versucht meinen Server zu laufen zu bringen, leider half bis jetzt nix, Ihr seit meine letzte Hoffnung...


BTW: Ich steh auf XFS; meine Kernel sind immer XFS gepatcht, kann das irgendwie stören? Kann es mir zwar nicht vorstellen aber wer weiss...

space
Posts: 51
Joined: 2003-07-09 17:20

Re: ICP Vortex RAID Probleme & woody frisst neuen Kernel nic

Post by space »

man das dauerte jetzt extrem lang aber nun hab ichs , die lösung lautet "vanilla" 8) yeah 8)